﻿using System;
using System.Windows.Forms;
using System.Linq;
using System.Collections.Generic;

namespace AdmCloudApiDemoClient
{
    public partial class Form1 : Form
    {
        //INSTRUCCIONES
        //Antes de usar este demo, debe crear una integración en su cuenta de Adm Cloud

        //Este es el número de APP ID indicado al crear una integración en Adm Cloud
        private Guid APP_ID = new Guid ("8ee0dee0-13f8-4229-4d13-08d5bb623fbf"); 

        private const string ROL = "Administradores";
        private const string COMPANY = "Trial";

        public Form1()
        {
            InitializeComponent();
        }

        private async void btnListarClientes_Click(object sender, EventArgs e)
        {
            //Instancio el Repositorio
            var repositorio_clientes = new AdmCloudInterface.Repositories.CustomersRepository
                (
                txtEMail.Text,
                txtPassword.Text,
                COMPANY,
                ROL,
                APP_ID);

            //Obtener el listado de clientes
            //De este metodo de GETList, puedo inspeccionar el URL
            var clientes = await repositorio_clientes.GetListAsync(0);

            foreach (var cliente in clientes)
            {
                txtLog.Text += cliente.Name + " - " + cliente.EMail + Environment.NewLine;
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private async void btnObtenerDetalles_Click(object sender, EventArgs e)
        {
            //Instancio el Repositorio
            var repositorio_clientes = new AdmCloudInterface.Repositories.CustomersRepository
                (
                txtEMail.Text,
                txtPassword.Text,
                COMPANY,
                ROL,
                APP_ID);

            //Obtener el listado de clientes
            //De este metodo de GETList, puedo inspeccionar el URL
            var clientes = await repositorio_clientes.GetListAsync();

            var cliente_clinica_abc_sin_detalle = clientes.FirstOrDefault(t => t.Name == "CLinica ABC");

            //De este metodo de GetAsync, puedo inspeccionar el URL
            var cliente_clinica_abc_con_detalle = await repositorio_clientes.GetAsync(cliente_clinica_abc_sin_detalle.ID);

            foreach (var campo in cliente_clinica_abc_con_detalle.CustomFields)
            {
                txtLog.Text += campo.Value + Environment.NewLine;
            }
        }
    }
}
